function Alysmon_OnLoad()

	SLASH_ALYSMON1 = "/am";
	SLASH_ALYSMON2 = "/alysmon";
	SlashCmdList["ALYSMON"] = Alysmon_Command;
	
	if(Alysmon_enabled == nil) then
		Alysmon_enabled = true
	end

	Alysmon:RegisterEvent("CHAT_MSG_MONSTER_YELL");
end

function Alysmon_OnEvent(self, event, ...)
	local arg1,arg2 = ...

	if Alysmon_enabled and arg2 == "Alysrazor" and (arg1 == "I will burn you from the sky!" or arg1 == "These skies are MINE!") then
		PlaySoundFile("Interface\\addons\\Alysmon\\media\\Pokemon_-_Viridian_City_theme_30s.mp3", "Master")
	end
end

function Alysmon_Command(msg)
	local cmd, subCmd = Alysmon_GetCmd(msg);
	if cmd == "toggle" then
		if Alysmon_enabled then
			Alysmon_enabled = false
			print("Alysmon - |cffff0000Disabled|r")
		else
			Alysmon_enabled = true
			print("Alysmon - |cff00ff00Enabled|r")
		end
	else
		print("Alysmon - Available commands;\n 'toggle' : Toggles the music on or off.")
	end
	
end

function Alysmon_GetCmd(msg)
	if(msg) then
		local a,b,c = strfind(msg, "(%S+)");
		if(a) then
			return c, strsub(msg, b+2);
		else	
			return "";
		end
	end
end